#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

Name:           marknote
Version:        1.3.0
Release:        %mkrel 3
Summary:        A simple markdown note management app for KDE
Group:          Graphical desktop/KDE
License:        GPLv2+ and GPLv3 and GPLv2
URL:            https://apps.kde.org/marknote/
Source0:        https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6BreezeIcons)
BuildRequires:  cmake(KPim6Mime)

BuildRequires:  pkgconfig(md4c)

Requires:       kirigami
Requires:       kirigami-addons


%description
Marknote lets you create rich text notes and easily organize them
into notebooks. You can personalize your notebooks by choosing an
icon and accent color for each one, making it easy to distinguish
between them and keep your notes at your fingertips.

%files -f %{name}.lang
%license LICENSES/*
%{_kf6_categoriesdir}/marknote.categories
%{_kf6_bindir}/marknote
%{_kf6_applicationdir}/org.kde.marknote.desktop
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.marknote.svg
%{_kf6_metainfodir}/org.kde.%{name}.metainfo.xml

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man --with-qt --all-name


%changelog
* Wed Nov 27 2024 daviddavid <daviddavid> 1.3.0-3.mga10
+ Revision: 2119492
- fix dependency
- rebuild against current Qt6/KF6 stack

* Fri Jun 28 2024 daviddavid <daviddavid> 1.3.0-1.mga10
+ Revision: 2077923
- new version: 1.3.0

* Thu May 23 2024 daviddavid <daviddavid> 1.2.1-1.mga10
+ Revision: 2066272
- new version: 1.2.1

* Sat May 18 2024 daviddavid <daviddavid> 1.2.0-1.mga10
+ Revision: 2064734
- new version: 1.2.0

* Tue Apr 02 2024 daviddavid <daviddavid> 1.1.1-2.mga10
+ Revision: 2053971
- initial package marknote

